#
# spec file for package dazuko (Version 2.3.3.4)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# nodebuginfo
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv kernel-source kernel-syms less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses net-tools netcfg pam pam-modules patch perl perl-base permissions popt rpm sed sysvinit tar texinfo timezone util-linux zlib


Name:           dazuko
License:        BSD 3-Clause; GPL v2 or later; LGPL v2.1 or later
Group:          System/Kernel
Version:        2.3.3.4
Release:        56.1
%define dazuko_version 2.3.3
Summary:        On-access Virus Scanning Kernel Interface
Url:            http://www.dazuko.org/
Source0:        http://www.dazuko.org/files/dazuko-%{dazuko_version}.tar.gz
Source1:        http://www.dazuko.org/files/dazuko-%{dazuko_version}.tar.gz.asc
Source2:        dazuko.sysconfig
Source3:        dazuko.init-script
Patch0:         dazuko-%{dazuko_version}.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:  %ix86 x86_64
#Obsoletes:    km_antivir km_dazuko
BuildRequires:  kernel-source kernel-syms module-init-tools
%suse_kernel_module_package kdump um

%description
The dazuko package contains the boot script loading/ unloading
thedazuko on-access virus scanning kernel interface module provided by
the dazuko-KMP kernel module packages.



Authors:
--------
    John Ogness
    Martin Ritter

%package KMP
License:        BSD 3-Clause; GPL v2 or later
Summary:        On-access Virus Scanning Kernel Interface
Group:          System/Kernel

%description KMP
The dazuko-KMP package contains the on-access virus scanning kernel
interface module.



Authors:
--------
    John Ogness
    Martin Ritter

%prep
%setup -n dazuko-%{dazuko_version}
%patch0 -p0
set -- *
mkdir source
mv "$@" source/
mkdir obj

%build
#export EXTRA_CFLAGS='-DVERSION=\"%version\"'
export EXTRA_CFLAGS='-DVERSION=\"%dazuko_version\"'
### dazuko's configure checks running system here...
if grep -qs 'EXPORT_SYMBOL(__d_path)' /usr/src/linux/fs/dcache.c ; then
	CONFIGURE_FLAGS='--disable-local-dpath'
else
	CONFIGURE_FLAGS='--disable-chroot-support'
fi
# Need System.map file to be able to use this hook...
#CONFIGURE_FLAGS="${CONFIGURE_FLAGS} --enable-syscalls"
#CONFIGURE_FLAGS="${CONFIGURE_FLAGS} --sct-readonly"
### the build loop for all kernel flavors
for flavor in %flavors_to_build; do
	rm -rf obj/$flavor
	cp -r source obj/$flavor
	KERNEL_SRC="/usr/src/linux"
	KERNEL_OBJ="/usr/src/linux-obj/%_target_cpu/$flavor"
	pushd obj/$flavor
		DEBUG_FLAGS=""
		case $flavor in
			*debug*) DEBUG_FLAGS="--enable-debug" ;;
		esac
		./configure \
			--kernelsrcdir=${KERNEL_SRC} \
			--kernelobjdir=${KERNEL_OBJ} \
			${CONFIGURE_FLAGS} ${DEBUG_FLAGS}
	popd
	make -C ${KERNEL_OBJ} modules M=$PWD/obj/$flavor
done

%install
rm -rf %buildroot
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
	make -C /usr/src/linux-obj/%_target_cpu/$flavor \
		modules_install M=$PWD/obj/$flavor
done
###
install -m755 -d $RPM_BUILD_ROOT/etc/init.d
install -m755 -d $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m754    $RPM_SOURCE_DIR/dazuko.init-script \
                 $RPM_BUILD_ROOT/etc/init.d/boot.dazuko
install -m644    $RPM_SOURCE_DIR/dazuko.sysconfig \
                 $RPM_BUILD_ROOT/var/adm/fillup-templates/sysconfig.dazuko

%post
%{fillup_and_insserv -i -n dazuko}

%preun
%if %suse_version > 820
%{stop_on_removal boot.dazuko}
%endif

%postun
#%if %suse_version > 820
#%{restart_on_update boot.dazuko}
#%endif
%insserv_cleanup

%files
%defattr(-,root,root)
/etc/init.d/boot.dazuko
/var/adm/fillup-templates/sysconfig.dazuko

%changelog
* Wed Apr 04 2007 - mt@suse.de
- Adopted for new LSM prototypes in kernel 2.6.21_rc5_git8_2.
  New patch file: dazuko-2.3.3.dif
- Added module-init-tools to build requires.
* Fri Mar 23 2007 - mt@suse.de
- Updated to dazuko-2.3.3(.4) final, including 2.6.21 LSM patch.
  Obsolete patch file: dazuko-2.3.3-pre3_linux-2.6.21.dif
* Wed Mar 21 2007 - mt@suse.de
- Updated to dazuko-2.3.3-pre3 including support for linux-2.6.20
  LSM obsoleting dazuko-2.3.2-linux-2.6.19plus.dif patch file
  as well as several other fixes and improvements, e.g.:
  * include new Lua binding
  * resolved namespace issue with "struct path"
  * add official support for suspend2 on Linux 2.6
  * cleanup thread handling for TAF on Linux 2.6
  * fix DazukoIO X/Y-bit compatibility for trusted processes
  * remove unnecessary global variables from DazukoIO
  * restructured DazukoIO protocol fallback code
- Adopted to LSM interface (getprocattr) for linux-2.6.21 LSM
  New patch file: dazuko-2.3.3-pre3_linux-2.6.21.dif
* Mon Jan 15 2007 - mt@suse.de
- Merged changes from dazuko cvs to compile with Linux >= 2.6.19
  New patch file: dazuko-2.3.2-linux-2.6.19plus.dif
* Fri Dec 01 2006 - mt@suse.de
- Updated to dazuko-2.3.2, providing following fixes [Bug #224985]:
  * name-cache leak for Linux 2.2, 2.4, and 2.6+syscall (patch #5552)
  * memory leak when removing trusted applications (patch #5552)
  * Linux 2.6 LSM stacking as a secondary module (obsoletes our
  dazuko-second_register.diff patch)
  * overly conservative snprintf() calls
* Thu Nov 16 2006 - mt@suse.de
- Renamed package from hbedv-dazuko(-KMP) to dazuko(-KMP).
* Wed Nov 08 2006 - mt@suse.de
- Improved LSB required-start tag in boot.dazuko init script.
* Mon Nov 06 2006 - mt@suse.de
- Updated to dazuko-2.3.1 making our configure patch obsolete.
- Added dazuko-second_register.diff patch fixing init of the
  inode permission hook while registering as secondary LSM.
- Added boot.dazuko init script loading the dazuko module.
* Tue Aug 29 2006 - mt@suse.de
- Updated to dazuko-2.3.1pre2 supporting sys_call hooking on
  linux26, required to work togeter with apparmor (unused).
* Mon Apr 10 2006 - ro@suse.de
- added nodebuginfo tag to specfile
* Wed Feb 08 2006 - mt@suse.de
- Added patch adding invoking of the inode permission lsm hook
  of a secondary module. See Bug #65751.
* Mon Jan 23 2006 - mt@suse.de
- Initial package replacing km_dazuko.
